declare type HTMLElementTagNames = keyof HTMLElementTagNameMap;
declare type Builder<H extends HTMLElementTagNames> = (element: HTMLElementTagNameMap[H]) => void;
export declare function createAnchor(builder?: Builder<"a">): HTMLAnchorElement;
export declare function createAbbr(builder?: Builder<"abbr">): HTMLElement;
export declare function createAddress(builder?: Builder<"address">): HTMLElement;
export declare function createArea(builder?: Builder<"area">): HTMLAreaElement;
export declare function createArticle(builder?: Builder<"article">): HTMLElement;
export declare function createAside(builder?: Builder<"aside">): HTMLElement;
export declare function createAudio(builder?: Builder<"audio">): HTMLAudioElement;
export declare function createBold(builder?: Builder<"b">): HTMLElement;
export declare function createBase(builder?: Builder<"base">): HTMLBaseElement;
export declare function createBdi(builder?: Builder<"bdi">): HTMLElement;
export declare function createBdo(builder?: Builder<"bdo">): HTMLElement;
export declare function createBlockquote(builder?: Builder<"blockquote">): HTMLQuoteElement;
export declare function createBody(builder?: Builder<"body">): HTMLBodyElement;
export declare function createBr(builder?: Builder<"br">): HTMLBRElement;
export declare function createButton(builder?: Builder<"button">): HTMLButtonElement;
export declare function createCanvas(builder?: Builder<"canvas">): HTMLCanvasElement;
export declare function createCaption(builder?: Builder<"caption">): HTMLTableCaptionElement;
export declare function createCite(builder?: Builder<"cite">): HTMLElement;
export declare function createCode(builder?: Builder<"code">): HTMLElement;
export declare function createCol(builder?: Builder<"col">): HTMLTableColElement;
export declare function createColGroup(builder?: Builder<"colgroup">): HTMLTableColElement;
export declare function createData(builder?: Builder<"data">): HTMLDataElement;
export declare function createDataList(builder?: Builder<"datalist">): HTMLDataListElement;
export declare function createDd(builder?: Builder<"dd">): HTMLElement;
export declare function createDel(builder?: Builder<"del">): HTMLModElement;
export declare function createDetails(builder?: Builder<"details">): HTMLDetailsElement;
export declare function createDfn(builder?: Builder<"dfn">): HTMLElement;
export declare function createDiv(builder?: Builder<"div">): HTMLDivElement;
export declare function createDl(builder?: Builder<"dl">): HTMLDListElement;
export declare function createDt(builder?: Builder<"dt">): HTMLElement;
export declare function createEm(builder?: Builder<"em">): HTMLElement;
export declare function createEmbed(builder?: Builder<"embed">): HTMLEmbedElement;
export declare function createFieldSet(builder?: Builder<"fieldset">): HTMLFieldSetElement;
export declare function createFigcaption(builder?: Builder<"figcaption">): HTMLElement;
export declare function createFigure(builder?: Builder<"figure">): HTMLElement;
export declare function createFooter(builder?: Builder<"footer">): HTMLElement;
export declare function createForm(builder?: Builder<"form">): HTMLFormElement;
export declare function createH1(builder?: Builder<"h1">): HTMLHeadingElement;
export declare function createH2(builder?: Builder<"h2">): HTMLHeadingElement;
export declare function createH3(builder?: Builder<"h3">): HTMLHeadingElement;
export declare function createH4(builder?: Builder<"h4">): HTMLHeadingElement;
export declare function createH5(builder?: Builder<"h5">): HTMLHeadingElement;
export declare function createH6(builder?: Builder<"h6">): HTMLHeadingElement;
export declare function createHead(builder?: Builder<"head">): HTMLHeadElement;
export declare function createHeader(builder?: Builder<"header">): HTMLElement;
export declare function createHr(builder?: Builder<"hr">): HTMLHRElement;
export declare function createHtml(builder?: Builder<"html">): HTMLHtmlElement;
export declare function createIdiomatic(builder?: Builder<"i">): HTMLElement;
export declare function createIFrame(builder?: Builder<"iframe">): HTMLIFrameElement;
export declare function createImg(builder?: Builder<"img">): HTMLImageElement;
export declare function createInput(builder?: Builder<"input">): HTMLInputElement;
export declare function createIns(builder?: Builder<"ins">): HTMLModElement;
export declare function createKbd(builder?: Builder<"kbd">): HTMLElement;
export declare function createLabel(builder?: Builder<"label">): HTMLLabelElement;
export declare function createLegend(builder?: Builder<"legend">): HTMLLegendElement;
export declare function createLi(builder?: Builder<"li">): HTMLLIElement;
export declare function createLink(builder?: Builder<"link">): HTMLLinkElement;
export declare function createMain(builder?: Builder<"main">): HTMLElement;
export declare function createMap(builder?: Builder<"map">): HTMLMapElement;
export declare function createMark(builder?: Builder<"mark">): HTMLElement;
export declare function createMenu(builder?: Builder<"menu">): HTMLMenuElement;
export declare function createMeta(builder?: Builder<"meta">): HTMLMetaElement;
export declare function createMeter(builder?: Builder<"meter">): HTMLMeterElement;
export declare function createNav(builder?: Builder<"nav">): HTMLElement;
export declare function createNoScript(builder?: Builder<"noscript">): HTMLElement;
export declare function createObject(builder?: Builder<"object">): HTMLObjectElement;
export declare function createOl(builder?: Builder<"ol">): HTMLOListElement;
export declare function createOptGroup(builder?: Builder<"optgroup">): HTMLOptGroupElement;
export declare function createOption(builder?: Builder<"option">): HTMLOptionElement;
export declare function createOutput(builder?: Builder<"output">): HTMLOutputElement;
export declare function createParagraph(builder?: Builder<"p">): HTMLParagraphElement;
export declare function createParam(builder?: Builder<"param">): HTMLParamElement;
export declare function createPicture(builder?: Builder<"picture">): HTMLPictureElement;
export declare function createPre(builder?: Builder<"pre">): HTMLPreElement;
export declare function createProgress(builder?: Builder<"progress">): HTMLProgressElement;
export declare function createQuote(builder?: Builder<"q">): HTMLQuoteElement;
export declare function createRp(builder?: Builder<"rp">): HTMLElement;
export declare function createRt(builder?: Builder<"rt">): HTMLElement;
export declare function createRuby(builder?: Builder<"ruby">): HTMLElement;
export declare function createStrikethrough(builder?: Builder<"s">): HTMLElement;
export declare function createSamp(builder?: Builder<"samp">): HTMLElement;
export declare function createScript(builder?: Builder<"script">): HTMLScriptElement;
export declare function createSection(builder?: Builder<"section">): HTMLElement;
export declare function createSelect(builder?: Builder<"select">): HTMLSelectElement;
export declare function createSlot(builder?: Builder<"slot">): HTMLSlotElement;
export declare function createSmall(builder?: Builder<"small">): HTMLElement;
export declare function createSource(builder?: Builder<"source">): HTMLSourceElement;
export declare function createSpan(builder?: Builder<"span">): HTMLSpanElement;
export declare function createStrong(builder?: Builder<"strong">): HTMLElement;
export declare function createStyle(builder?: Builder<"style">): HTMLStyleElement;
export declare function createSub(builder?: Builder<"sub">): HTMLElement;
export declare function createSummary(builder?: Builder<"summary">): HTMLElement;
export declare function createSup(builder?: Builder<"sup">): HTMLElement;
export declare function createTable(builder?: Builder<"table">): HTMLTableElement;
export declare function createTBody(builder?: Builder<"tbody">): HTMLTableSectionElement;
export declare function createTd(builder?: Builder<"td">): HTMLTableCellElement;
export declare function createTemplate(builder?: Builder<"template">): HTMLTemplateElement;
export declare function createTextarea(builder?: Builder<"textarea">): HTMLTextAreaElement;
export declare function createTFoot(builder?: Builder<"tfoot">): HTMLTableSectionElement;
export declare function createTh(builder?: Builder<"th">): HTMLTableCellElement;
export declare function createTHead(builder?: Builder<"thead">): HTMLTableSectionElement;
export declare function createTime(builder?: Builder<"time">): HTMLTimeElement;
export declare function createTitle(builder?: Builder<"title">): HTMLTitleElement;
export declare function createTr(builder?: Builder<"tr">): HTMLTableRowElement;
export declare function createTrack(builder?: Builder<"track">): HTMLTrackElement;
export declare function createUnarticulatedAnnotation(builder?: Builder<"u">): HTMLElement;
export declare function createUl(builder?: Builder<"ul">): HTMLUListElement;
export declare function createVar(builder?: Builder<"var">): HTMLElement;
export declare function createVideo(builder?: Builder<"video">): HTMLVideoElement;
export declare function createWbr(builder?: Builder<"wbr">): HTMLElement;
export {};
